Jump to content

Firefox 2.0 crashes in pages with flash! [solved]


joaonuno
 Share

Recommended Posts

If you have Composie enabled you might want to edit your /usr/bin/firefox

To check for Composite launch

cat /etc/X11/xorg.conf|grep Composite

The editing of /usr/bin/firefox should be the addition of the following line to teh script

export XLIB_SKIP_ARGB_VISUALS=1

 

see the gentoo wiki for deatils

Link to comment
Share on other sites

If you have Composie enabled you might want to edit your /usr/bin/firefox

To check for Composite launch

cat /etc/X11/xorg.conf|grep Composite

The editing of /usr/bin/firefox should be the addition of the following line to teh script

export XLIB_SKIP_ARGB_VISUALS=1

 

see the gentoo wiki for deatils

 

where exactly do i add the line? this is what my /usr/lib/firefox looks like

 

#!/bin/sh
#
# ***** BEGIN LICENSE BLOCK *****
# Version: MPL 1.1/GPL 2.0/LGPL 2.1
#
# The contents of this file are subject to the Mozilla Public License Version
# 1.1 (the "License"); you may not use this file except in compliance with
# the License. You may obtain a copy of the License at
# [url=http://www.mozilla.org/MPL/]http://www.mozilla.org/MPL/[/url]
#
# Software distributed under the License is distributed on an "AS IS" basis,
# WITHOUT WARRANTY OF ANY KIND, either express or implied. See the License
# for the specific language governing rights and limitations under the
# License.
#
# The Original Code is mozilla.org Code.
#
# The Initial Developer of the Original Code is
# Netscape Communications Corporation.
# Portions created by the Initial Developer are Copyright ? 1998
# the Initial Developer. All Rights Reserved.
#
# Contributor(s):
#
# Alternatively, the contents of this file may be used under the terms of
# either the GNU General Public License Version 2 or later (the "GPL"), or
# the GNU Lesser General Public License Version 2.1 or later (the "LGPL"),
# in which case the provisions of the GPL or the LGPL are applicable instead
# of those above. If you wish to allow use of your version of this file only
# under the terms of either the GPL or the LGPL, and not to allow others to
# use your version of this file under the terms of the MPL, indicate your
# decision by deleting the provisions above and replace them with the notice
# and other provisions required by the GPL or the LGPL. If you do not delete
# the provisions above, a recipient may use your version of this file under
# the terms of any one of the MPL, the GPL or the LGPL.
#
# ***** END LICENSE BLOCK *****

## $Id: mozilla.in,v 1.12.8.1 2005/09/20 21:13:03 dbaron%dbaron.org Exp $
## 
## Usage:
##
## $ mozilla [args]
##
## This script is meant to run the mozilla-bin binary from either 
## mozilla/xpfe/bootstrap or mozilla/dist/bin.
##
## The script will setup all the environment voodoo needed to make
## the mozilla-bin binary to work.
##

moz_pis_startstop_scripts()
{
 MOZ_USER_DIR=".mozilla/firefox"
 # MOZ_PIS_ is the name space for "Mozilla Plugable Init Scripts"
 # These variables and there meaning are specified in
 # mozilla/xpfe/bootstrap/init.d/README
 MOZ_PIS_API=2
 MOZ_PIS_MOZBINDIR="${dist_bin}"
 MOZ_PIS_SESSION_PID="$$"
 MOZ_PIS_USER_DIR="${MOZ_USER_DIR}"
 export MOZ_PIS_API MOZ_PIS_MOZBINDIR MOZ_PIS_SESSION_PID MOZ_PIS_USER_DIR

 case "${1}" in
"start")
  for curr_pis in "${dist_bin}/init.d"/S* "${HOME}/${MOZ_USER_DIR}/init.d"/S*; do
	if [ -x "${curr_pis}" ]; then
	  case "${curr_pis}" in
		*.sh) .  "${curr_pis}"		;;
		*)	   "${curr_pis}" "start";;
	  esac
	fi
  done
 ;;
"stop")
  for curr_pis in "${HOME}/${MOZ_USER_DIR}/init.d"/K* "${dist_bin}/init.d"/K*; do
	if [ -x "${curr_pis}" ]; then
	  case "${curr_pis}" in
		*.sh) . "${curr_pis}"	   ;;
		*)	  "${curr_pis}" "stop";;
	  esac
	fi
  done
 ;;
*)
  echo 1>&2 "$0: Internal error in moz_pis_startstop_scripts."
  exit 1
 ;;
 esac
}

#uncomment for debugging
#set -x

moz_libdir=/usr/local/lib/firefox-2.0
MRE_HOME=/usr/local/lib/mre/mre-2.0

# Use run-mozilla.sh in the current dir if it exists
# If not, then start resolving symlinks until we find run-mozilla.sh
found=0
progname="$0"
curdir=`dirname "$progname"`
progbase=`basename "$progname"`
run_moz="$curdir/run-mozilla.sh"
if test -x "$run_moz"; then
 dist_bin="$curdir"
 found=1
else
 here=`/bin/pwd`
 while [ -h "$progname" ]; do
bn=`basename "$progname"`
cd `dirname "$progname"`
progname=`/bin/ls -l "$bn" | sed -e 's/^.* -> //' `
if [ ! -x "$progname" ]; then
  break
fi
curdir=`dirname "$progname"`
run_moz="$curdir/run-mozilla.sh"
if [ -x "$run_moz" ]; then
  cd "$curdir"
  dist_bin=`pwd`
  run_moz="$dist_bin/run-mozilla.sh"
  found=1
  break
fi
 done
 cd "$here"
fi
if [ $found = 0 ]; then
 # Check default compile-time libdir
 if [ -x "$moz_libdir/run-mozilla.sh" ]; then
dist_bin="$moz_libdir"
 else 
echo "Cannot find mozilla runtime directory. Exiting."
exit 1
 fi
fi

script_args=""
debugging=0
MOZILLA_BIN="${progbase}-bin"

if [ "$OSTYPE" = "beos" ]; then
 mimeset -F "$MOZILLA_BIN"
fi

pass_arg_count=0
while [ $# -gt $pass_arg_count ]
do
 case "$1" in
-p | --pure | -pure)
  MOZILLA_BIN="${MOZILLA_BIN}.pure"
  shift
 ;;
-g | --debug)
  script_args="$script_args -g"
  debugging=1
  shift
 ;;
-d | --debugger)
  script_args="$script_args -d $2"
  shift 2
 ;;
*)
  # Move the unrecognized argument to the end of the list.
  arg="$1"
  shift
  set -- "$@" "$arg"
  pass_arg_count=`expr $pass_arg_count + 1`
 ;;
 esac
done

export MRE_HOME

## Start addon scripts
moz_pis_startstop_scripts "start"

if [ $debugging = 1 ]
then
 echo $dist_bin/run-mozilla.sh $script_args $dist_bin/$MOZILLA_BIN "$@"
fi
"$dist_bin/run-mozilla.sh" $script_args "$dist_bin/$MOZILLA_BIN" "$@"
exitcode=$?

## Stop addon scripts
moz_pis_startstop_scripts "stop"

export XLIB_SKIP_ARGB_VISUALS=1

exit $exitcode
# EOF.

Link to comment
Share on other sites

Yeah - I had the same symptoms, tried the suggested update to the firefox shell, and got the same results - it still doesn't work.

 

So I did a little investigation. First off, the firefox troubleshooting suggests running it in safe-mode:

>./firefox-bin -safe-mode

but that only generated the error:

error while loading shared libraries: libmozjs.so: cannot open shared object file: No such file or directory

 

Odd, 'cause the lib libmozjs.so is in the same directory, with 755 privileges.

 

There's additional information at the MozillaZine knowledge base http://kb.mozillazine.org/Knowledge_Base under "frequently encountered issues/firefox crashes". The exact line is "Plugins thay may cause Firefox to crash if not updated include: Macromedia Flash"

 

Arrrggg!!! It seems that 2.0 requires, at least indirectly, the flash 8. Does Not Exist for Linux. Ugly.

 

If anyone can suggest the next step, I'm all ears!

Link to comment
Share on other sites

moz_pis_startstop_scripts()

{

MOZ_USER_DIR=".mozilla/firefox"

# MOZ_PIS_ is the name space for "Mozilla Plugable Init Scripts"

# These variables and there meaning are specified in

# mozilla/xpfe/bootstrap/init.d/README

MOZ_PIS_API=2

MOZ_PIS_MOZBINDIR="${dist_bin}"

MOZ_PIS_SESSION_PID="$$"

MOZ_PIS_USER_DIR="${MOZ_USER_DIR}"

export MOZ_PIS_API MOZ_PIS_MOZBINDIR MOZ_PIS_SESSION_PID MOZ_PIS_USER_DIR

export XLIB_SKIP_ARGB_VISUALS=1

 

:thumbs:

Link to comment
Share on other sites

moz_pis_startstop_scripts()

{

MOZ_USER_DIR=".mozilla/firefox"

# MOZ_PIS_ is the name space for "Mozilla Plugable Init Scripts"

# These variables and there meaning are specified in

# mozilla/xpfe/bootstrap/init.d/README

MOZ_PIS_API=2

MOZ_PIS_MOZBINDIR="${dist_bin}"

MOZ_PIS_SESSION_PID="$$"

MOZ_PIS_USER_DIR="${MOZ_USER_DIR}"

export MOZ_PIS_API MOZ_PIS_MOZBINDIR MOZ_PIS_SESSION_PID MOZ_PIS_USER_DIR

export XLIB_SKIP_ARGB_VISUALS=1

 

:thumbs:

 

slap me and call me a noob but do i copy and paste the entire block of text into the firefox script? btw i have flash 9 in my plugin folder.

Edited by hellfried
Link to comment
Share on other sites

Lando - thanks much. That worked!

 

Hellfried, maybe you've already figured this out, but no, you don't have to copy the whole thing. The beginning of the firefox shell script is 50 or 60 lines that start with #. They are comments. The very next thing is a subscript called moz_piz_startstop_scripts(), which is what Lando copied to show us where to add the line: export XLIB_SKIP_ARGB_VISUALS=1 (see it at the bottom?).

 

Just find the section he showed us, and add the one line where he did. It works.

Link to comment
Share on other sites

Join the conversation

You can post now and register later. If you have an account, sign in now to post with your account.
Note: Your post will require moderator approval before it will be visible.

Guest
Reply to this topic...

×   Pasted as rich text.   Paste as plain text instead

  Only 75 emoji are allowed.

×   Your link has been automatically embedded.   Display as a link instead

×   Your previous content has been restored.   Clear editor

×   You cannot paste images directly. Upload or insert images from URL.

Loading...
 Share

×
×
  • Create New...